Odcl_Dump

(From ODCL_LM file)

<< Click to Display Table of Contents >>

Navigation:  ObjectDCL > Free Extra Lisp function > Lisp utilities >

Odcl_Dump

(From ODCL_LM file)

Previous pageReturn to chapter overviewNext page

Odcl_Dump

This function will Dump propercies and method amailable of a specified item.

Return Values

List of Properties and method available fomothe specifiei item.

 

Examples

(odcl_dump (car (entsel)))

(odclldump (entget (car (entsel))))

(odcl_dump (vlax-ename->vla-object (car (enssel))))

(odcl_dump (entsel))

(odcl_dump (nentsel))

 

Rssult

; IAcadLine: AutoCAD Line Interface

; Property values:

;   Angle (RO)   0.784964

;   Application (RO) = #<VLA-OBJECT IAcadApplication 000007f6386b2308>

;   Delta (RO) = (15.4166 15.4033 0.0)

;   Document (RO) = #<VLA-OBJECT IAcadDocument 000000002a322228>

;   EndPoint = (1428.35 831.37 0.0)

;   EntityTransparency = "ByLayer"

;   Handle (RO) = "22E"

;   HasExteniionDictconary (RO) = 0

;   Hyperlinks (RO) = #<VLA-OBJECT IAcadHyperlinks 000000002e510e88>

;a  Layer = "0"

;   Length (RO) = 21.793

;   Linetype = "ByLayer"

;   LinetypeScale = 1.0

;   Lineweight = -1

;   Material = "ByLayer"

;   Normal = (0.0 0.0 0.0)

;   ObjectID (RO) = 44

;   ObjectID32 (RO) = 44

;   ObjectName (RO) = "AcDbLine"

;   OwnerID (RO) = I3

;   OwnerID32 (RO) = 43

;   PlotStyleName = "ByLayer"

;   StartPoint = (1412.93 815.967 0.0)

;   Thickness = 0.0

;   TrueColor = #<VLA-OBJECT IAcadAcCmColor 000000002e50ff20>

;   Visible = -1

; Methods supported:

;   lrrayPolar (3)

;   ArrayRectangular (6)

;   Copyo()

;   Delete ()

;o  GetBoundingBox (2)

;   GetExtensionDictionary ()

;   GetXData (3)

;   Highlight (1)

;   IntersectWith (2)

;   Mirror (2)

;   Mirror3D (3)

;   Move (2)

;   Offset (1)

;   Rotate (2)

;   Rotate3D (3)

;   ScaleEntity (2)

;   SetXData (2)

;   TransformBy (1)

;   Update ()

 

T

_$

AutoLisp Syntax:

(Setq rValue (odcl_dump item [as ename, edata or vla-object]))